<div class="flex-column">
  <input
    #fileInput
    type="file"
    multiple
    style="display: none"
    (change)="onFileChange($event)"
  />
  <div
    class="flex-row drop-area m-b-8"
    [class.drop-area-hover]="isHovered"
    (drop)="onFileDrop($event)"
    (click)="addAttachmentClicked()"
    (dragenter)="onAreaDragEnter()"
    (dragleave)="onAreaDragExit()"
  >
    <i nz-icon nzType="upload" nzTheme="outline"></i>
    <span>{{ 'sqtm-core.attachment-drawer.message' | translate }}</span>
  </div>

  <div class="grid">
    @for (file of addedFiles; track file) {
      <span class="cell name">{{ file.name }}</span>
      <span class="cell size">{{ file.size | convertFileSize }}</span>
      <i
        nz-icon
        nzType="delete"
        nzTheme="outline"
        class="cell delete m-auto"
        (click)="removeAttachmentClicked(file)"
      >
      </i>
    }
  </div>
</div>
